Bug 1399730 (CVE-2016-9628) - CVE-2016-9628 w3m: Null pointer dereference due to bad form id in HTMLlineproc2body()
Summary: CVE-2016-9628 w3m: Null pointer dereference due to bad form id in HTMLlinepro...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-9628
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1401423 1401424
Blocks: 1399744
TreeView+ depends on / blocked
 
Reported: 2016-11-29 15:46 UTC by Andrej Nemec
Modified: 2019-09-29 14:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-17 06:51:24 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-11-29 15:46:09 UTC
A null pointer dereference will occur in w3m while parsing maliciously crafted input.

Upstream bug:

https://github.com/tats/w3m/issues/39

Upstream fix:

https://github.com/tats/w3m/commit/9db438094e5f0d84842bcbd248f282594ccb3c89

References:

http://seclists.org/oss-sec/2016/q4/488

Comment 1 Huzaifa S. Sidhpurwala 2016-12-05 08:54:04 UTC
Created w3m tracking bugs for this issue:

Affects: fedora-all [bug 1401423]
Affects: epel-7 [bug 1401424]


Note You need to log in before you can comment on or make changes to this bug.